import {
	ApiHttp
} from '@/utils/request.js'

//轮播图列表
const listGET = (params) => {
	return ApiHttp('/app-fund/home/picture/list', params, 'GET')
}
// 查询OSS对象基于id串
const listByIds = (ossId) => {
	return ApiHttp('/system/oss/listByIds/' + ossId, '', 'GET')
}
// 查询OSS对象基于id串
const downloadGET = (ossId) => {
	return ApiHttp('/system/oss/download/' + ossId, '', 'GET')
}
//系统公告列表
const noticeListGET = (params) => {
	return ApiHttp('/app-fund/home/notice/list', params, 'GET')
}
// 系统公告详情
const noticeGET = (noticeId) => {
	return ApiHttp('/app-fund/home/notice/' + noticeId, '', 'GET')
}
//合同范本信息
const modelGET = (params) => {
	return ApiHttp('/app-fund/home/model', params, 'GET')
}
//操作说明信息
const manualGET = (params) => {
	return ApiHttp('/app-fund/home/manual', params, 'GET')
}
//推荐商家列表
const businessGET = (params) => {
	return ApiHttp('/app-fund/home/business/list', params, 'GET')
}
//获取身份证
const sfzGET = (params) => {
	return ApiHttp('/app-fund/my/sfz', params, 'GET')
}
//修改用户
const userPUT = (params) => {
	return ApiHttp('/app-fund/user', params, 'PUT')
}	

// 新增商家接口 
const merchantPOST = (params) => {
	return ApiHttp('/app-fund/my/merchant', params, 'POST')
}

//获取商家详情
const businessIdGET = (businessId) => {
	return ApiHttp('/app-fund/home/business/' + businessId, '', 'GET')
}
//用户须知
const userTipGET = (params) => {
	return ApiHttp('/app-fund/user/Tip', params, 'GET')
}
//支付定金创建合同
const createContractPUT = (params) => {
	return ApiHttp('/app-fund/pay/createContract', params, 'PUT')
}
//条件查询商家列表
const conditionListGET = (params) => {
	return ApiHttp('/app-fund/home/business/conditionList', params, 'GET')
}
//用户详情
const infoGET = (params) => {
	return ApiHttp('/app-fund/my/info', params, 'GET')
}
//我的总金额
const walletGET = (params) => {
	return ApiHttp('/app-fund/my/wallet/total', params, 'GET')
}
//余额明细列表
const balanceGET = (params) => {
	return ApiHttp('/app-fund/my/wallet/balance', params, 'GET')
}
//申请提现
const cashPOST = (params) => {
	return ApiHttp('/app-fund/my/wallet/cash', params, 'POST')
}
//新增收款账户
const accountPOST = (params) => {
	return ApiHttp('/app-fund/my/account', params, 'POST')
}
//收款账户列表
const accountListGET = (params) => {
	return ApiHttp('/app-fund/my/account/list', params, 'GET')
}
//收款账户详情
const accountIdGET = (accountId) => {
	return ApiHttp('/app-fund/my/account/' + accountId, '', 'GET')
}
//修改收款账户
const accountPUT = (params) => {
	return ApiHttp('/app-fund/my/account', params, 'PUT')
}
//删除收款账户
const accountDELETE = (accountIds) => {
	return ApiHttp('/app-fund/my/account/' + accountIds, '', 'DELETE')
}
//查询平台客服列表
const serviceGET = (params) => {
	return ApiHttp('/app-fund/my/service/list', params, 'GET')
}
//进行意见反馈
const feedbackPOST = (params) => {
	return ApiHttp('/app-fund/my/feedback', params, 'POST')
}
//查询我的邀请
const invitationInfoGET = (params) => {
	return ApiHttp('/app-fund/my/invitationInfo', params, 'GET')
}
//查询App合同信息列表
const findInviteContractGET = (params) => {
	return ApiHttp('/app-fund/contract/findInviteContract', params, 'GET')
}
//获取合同信息详细信息
const contractGET = (contractId) => {
	return ApiHttp('/app-fund/contract/' + contractId, '', 'GET')
}
//上传合同
const conUploadPUT = (params) => {
	return ApiHttp('/app-fund/contract/conUpload', params, 'PUT')
}
//App修改合同信息
const updatePUT = (params) => {
	return ApiHttp('/app-fund/contract/update', params, 'PUT')
}
//*合同金额包含定金金额，合同金额建议不低于xxx元/米²，低于此价格，此交易不收平台保护
const warningAmountGET = (warningId) => {
	return ApiHttp('/app-fund/warningAmount/' + warningId, '', 'GET')
}
//图纸确认
const conDrawingPUT = (params) => {
	return ApiHttp('/app-fund/contract/conDrawing', params, 'PUT')
}
//合同确认
const conAffirmPUT = (params) => {
	return ApiHttp('/app-fund/contract/conAffirm', params, 'PUT')
}
//支付合同金额
const payContractPUT = (params) => {
	return ApiHttp('/app-fund/pay/payContract', params, 'PUT')
}
//上传图纸
const uploadDrawingPUT = (params) => {
	return ApiHttp('/app-fund/contract/uploadDrawing', params, 'PUT')
}
//预计材料到厂
const expectedArrivalPUT = (params) => {
	return ApiHttp('/app-fund/contract/expectedArrival', params, 'PUT')
}
//材料到厂
const materialArrivalPUT = (params) => {
	return ApiHttp('/app-fund/contract/materialArrival', params, 'PUT')
}
//材料待到家
const expectedHomePUT = (params) => {
	return ApiHttp('/app-fund/contract/expectedHome', params, 'PUT')
}
//材料到家 == 生产中
const materialsAtHomePUT = (params) => {
	return ApiHttp('/app-fund/contract/materialsAtHome', params, 'PUT')
}
//安装图
const installationPicPUT = (params) => {
	return ApiHttp('/app-fund/contract/installationPic', params, 'PUT')
}
//确认验收
const conCheckPUT = (params) => {
	return ApiHttp('/app-fund/contract/conCheck', params, 'PUT')
}
//到家确认验收
const conCheckHomePUT = (params) => {
	return ApiHttp('/app-fund/contract/conCheckHome', params, 'PUT')
}
//安装验收
const installationAcceptancePUT = (params) => {
	return ApiHttp('/app-fund/contract/installationAcceptance', params, 'PUT')
}
//邀请商家
const myPosterGET = (params) => {
	return ApiHttp('/app-fund/poster/myPoster', params, 'GET')
}
//邀请商家
const myPosterSjGET = (params) => {
	return ApiHttp('/app-fund/poster/myPosterSj', params, 'GET')
}
const nodeListGET = (params) => {
	return ApiHttp('/app-fund/node/list', params, 'GET')
}
const agreementGET = (params) => {
	return ApiHttp('/app-fund/agreement/list', params, 'GET')
}

// 二期
// 查询成交信息管理列表
const listClientDealGET = (params) => {
	return ApiHttp('/app-fund/make/list', params, 'GET')
}
// 查询城市列表
const listCityGET = (params) => {
	return ApiHttp('/app-fund/city/list', params, 'GET')
}
// 查询材料管理列表
const listMaterialGET = (params) => {
	return ApiHttp('/app-fund/materials/list', params, 'GET')
}
// 新增需求
const addClientDemanPOST = (params) => {
	return ApiHttp('/app-fund/demand', params, 'POST')
}
// 查询需求列表
const listClientDemandGET = (params) => {
	return ApiHttp('/app-fund/demand/list', params, 'GET')
}
// 获取需求详细信息
const getDemandDetailById = (demandId) => {
	return ApiHttp(`/app-fund/demand/${demandId}`, '', 'GET')
}
// 删除需求
const delDemandByIds = (demandIds) => {
	return ApiHttp(`/app-fund/demand/${demandIds}`, '', 'DELETE')
}

// 查询评论，支持评论的层级回复列表
const listCommentByDemandId = (params) => {
	return ApiHttp('/app-fund/comments/list', params, 'GET')
}
// 新增评论
const addCommentPOST = (params) => {
	return ApiHttp('/app-fund/comments', params, 'POST')
}
// 点赞/取消
const likeOrUnlike = (params) => {
	return ApiHttp('/app-fund/forum/like', params, 'POST')
}

// 收藏/取消
const collectOrUncollect = (params) => {
	return ApiHttp('/app-fund/forum/collect', params, 'POST')
}

// 查询论坛信息列表/商家我的动态
const listForumGET = (params) => {
	return ApiHttp('/app-fund/forum/list', params, 'GET')
}
// 获取评论人的用户信息
const getUserInfoById = (params) => {
	return ApiHttp('/app-fund/my/myInfo', params, 'GET')
}

// 新增论坛/商户动态信息
const addForumItem = (params) => {
	return ApiHttp('/app-fund/forum', params, 'POST')
}

// 修改论坛/商户动态信息
const modifyForumItem = (params) => {
	return ApiHttp('/app-fund/forum', params, 'PUT')
}
// 删除论坛信息
const deleteForumItem = (forumIds) => {
	return ApiHttp(`/app-fund/forum/${forumIds}`, '', 'DELETE')
}

// 获取论坛信息详细信息
const detailForumItemById = (forumId) => {
	return ApiHttp(`/app-fund/forum/${forumId}`, '', 'GET')
}

// 获取收藏商家列表
const listCollectMerchantGET = (params) => {
	return ApiHttp('/app-fund/home/collectBusiness/list', params, 'GET')
}

// 合同待评价
const editContractEvaluate = (params) => {
	return ApiHttp('/app-fund/contract/remainEvaluated', params, 'PUT')
}
// 赞过
const listLikedGet = (params) => {
	return ApiHttp('/app-fund/likes/liked', params, 'GET')
}
// 获赞
const bePraisedListGet = (params) => {
	return ApiHttp('/app-fund/likes/bePraised', params, 'GET')
}
// 收藏
const listCollectGet = (params) => {
	return ApiHttp('/app-fund/favorites/collect', params, 'GET')
}
// 获收藏
const listBeCollectedGet = (params) => {
	return ApiHttp('/app-fund/favorites/beCollected', params, 'GET')
}
// 评论
const listCommentGET = (params) => {
	return ApiHttp('/app-fund/comments/comment', params, 'GET')
}
// 获评论
const listBeCommentedGET = (params) => {
	return ApiHttp('/app-fund/comments/beComment', params, 'GET')
}
// 删除评论，支持评论的层级回复
const deleteCommentItem = (commentIds) => {
	return ApiHttp(`/app-fund/comments/${commentIds}`, '', 'DELETE')
}

//团购活动列表
const listBgroupBuyingGET = (params) => {
	return ApiHttp('/app-fund/groupBuying/list', params, 'GET')
}
//团购活动详情
const getlistBgroupBuying = (groupId) => {
	return ApiHttp(`/app-fund/groupBuying/${groupId}`, '', 'GET')
}

export {
	agreementGET,
	nodeListGET,
	installationAcceptancePUT,
	conCheckHomePUT,
	conCheckPUT,
	listGET,
	listByIds,
	noticeListGET,
	noticeGET,
	modelGET,
	downloadGET,
	manualGET,
	businessGET,
	userPUT,
	sfzGET,
	businessIdGET,
	userTipGET,
	createContractPUT,
	conditionListGET,
	infoGET,
	walletGET,
	balanceGET,
	accountPOST,
	accountListGET,
	accountIdGET,
	accountPUT,
	accountDELETE,
	serviceGET,
	feedbackPOST,
	invitationInfoGET,
	findInviteContractGET,
	cashPOST,
	myPosterGET,
	myPosterSjGET,
	contractGET,
	uploadDrawingPUT,
	warningAmountGET,
	updatePUT,
	conDrawingPUT,
	conAffirmPUT,
	payContractPUT,
	conUploadPUT,
	expectedArrivalPUT,
	materialArrivalPUT,
	expectedHomePUT,
	materialsAtHomePUT,
	installationPicPUT,

	listClientDealGET,
	listCityGET,
	listMaterialGET,
	addClientDemanPOST,
	listClientDemandGET,
	getDemandDetailById,
	delDemandByIds,
	listCommentByDemandId,
	addCommentPOST,
	likeOrUnlike,
	collectOrUncollect,
	listForumGET,
	getUserInfoById,
	addForumItem,
	modifyForumItem,
	deleteForumItem,
	detailForumItemById,
	listCollectMerchantGET,
	editContractEvaluate,
	listLikedGet,
	bePraisedListGet,
	listCollectGet,
	listBeCollectedGet,
	listCommentGET,
	listBeCommentedGET,
	deleteCommentItem,
	merchantPOST,
	listBgroupBuyingGET,
	getlistBgroupBuying
}