import {
	login,
	loginOut,
	loginPhone,
	getUserProfile,
	getLoginCode,
	loginUserInfo,
	phoneWxPOST,
	axiosloginAccount
} from '@/api/user.js'
import apiBaseConfig from '@/config/index.js';
export default {
	state: () => ({
		token: uni.getStorageSync("token") ? uni.getStorageSync("token") : null,
		userInfo: uni.getStorageSync("userInfo") ? JSON.parse(uni.getStorageSync("userInfo")) : {},
		role: uni.getStorageSync("role") ? uni.getStorageSync("role") : 'consumer', //consumer消费 head团长
		loginUser: uni.getStorageSync("loginUser") ? JSON.parse(uni.getStorageSync("loginUser")) : {}
	}),
	mutations: {
		loginIn(state) {
			let userInfo = uni.getStorageSync("userInfo");
			let token = uni.getStorageSync("token");
			let role = uni.getStorageSync("role");
			if (userInfo && token && role) {
				state.token = token;
				state.userInfo = JSON.parse(userInfo);
				state.role = role;
			}
		},
		login(state, obj) {
			uni.setStorageSync("token", obj.token);
			uni.setStorageSync("userInfo", JSON.stringify(obj.userInfo));
			uni.setStorageSync("role", obj.role);
			state.token = obj.token;
			state.userInfo = obj.userInfo;
			state.role = obj.role;
		},
		loginOut(state) {
			uni.removeStorageSync("token");
			uni.removeStorageSync("userInfo");
			uni.removeStorageSync("role");
			uni.removeStorageSync("loginUser");
			state.token = null;
			state.userInfo = {};
			state.role = 'consumer';
			state.loginUser = {};
			uni.navigateTo({
				url:'/pages/login/index'
			})
		},
		upDateRoleMount(state, val) {
			uni.setStorageSync("role", val);
			state.role = val;
		},
		upDateRoleToken(state, obj) {
			uni.setStorageSync("token", obj.token);
			state.token = obj.token;
		},
		upDateLoginUserMount(state, val) {
			uni.setStorageSync("loginUser", JSON.stringify(val));
			state.loginUser = val;
		},
		upDateUserInfoMount(state, val) {
			console.log(val, '=====upDateUserInfoMount')
			loginUserInfo().then(kh => {
				const {
					code,
					data
				} = kh
				if (code === 200) {
					uni.setStorageSync("userInfo", JSON.stringify(data));
					state.userInfo = data;
					// userType merchant商家  staff员工  app_user 用户端
					if(data.userType =='staff'){
						uni.reLaunch({
							url: `/pages/staffindex/staffindex` 
						})
					}else{
						//进入商家端
						if(val){
							uni.reLaunch({
								url: `/pages/index/index`
							})
						}
					}
					
					// if (data.userType == 'unknown') {
					// 	uni.reLaunch({
					// 		url: `/shop/index/index` 
					// 	})
					// } else {
					// 	if (val) {
					// 		switch (val.form) {
					// 			case 'login':
					// 				uni.reLaunch({
					// 					url: `/pages/index/index`
					// 				})
					// 				break;
					// 		}
					// 	}
					// }
				}
			})
		}
	},
	actions: {
		wxPhoneLogin({
			commit
		}, data) {
			console.log(data, 'wxPhoneLogin vuex')
			console.log(1111111)
			axiosloginAccount(data).then(back =>{
				console.log(back, 'wxPhoneLogin phoneWxPOST vuex')
				if (back.code === 200) {
					commit("upDateRoleToken", {
						token: back.data.token
					});
					commit("upDateUserInfoMount", data)
				}
			})
			// phoneWxPOST({
			// 	encryptedData: data.wxPhoneDetail.encryptedData,
			// 	jsCode: data.xlxLoginData,
			// 	iv: data.wxPhoneDetail.iv,
			// 	spread:data.spread
			// }).then(back => {
			// 	console.log(back, 'wxPhoneLogin phoneWxPOST vuex')
			// 	if (back.code === 200) {
			// 		commit("upDateRoleToken", {
			// 			token: back.data.token
			// 		});
			// 		commit("upDateUserInfoMount", data)
			// 	}

			// })
		},
		upDateRole({
			commit
		}, data) {
			commit("upDateRoleMount", data);
			commit("upDateUserInfoMount");
		},
		upDateToken({
			commit
		}, data) {
			commit("upDateRoleToken", data);
		},
		postLogin({
			commit
		}, data) {
			if (data) {
				console.log('登录111111111111', data)
				let paramsV = {
					code: data.code,
					encryptedData: data.encryptedData,
					iv: data.iv,
					userCode: data.userCode,
					userInfo: {
						avatarUrl: data.loginUser.avatarUrl,
						city: data.loginUser.city,
						country: data.loginUser.country,
						gender: data.loginUser.gender,
						language: data.loginUser.language,
						nickName: data.loginUser.nickName,
						province: data.loginUser.province,
					}
				}
				console.log(paramsV, '11111111111111111参数')
				commit('upDateLoginUserMount', data.loginUser)
				loginPhone(paramsV).then(back => {
					const {
						data: dataFromV
					} = back
					// headOrNot 1团长 2消费
					const {
						headOrNot
					} = dataFromV
					let roleV;
					headOrNot == 1 ? roleV = 'head' : roleV = 'consumer'
					let objFormV = {
						token: dataFromV.token,
						userInfo: dataFromV,
						role: roleV
					}
					commit("login", objFormV);
				})
			} else {
				console.log('登录2222222222222222222')
				// 展示加载框
				Promise.all([getUserProfile(), getLoginCode()]).then((res) => {
					// console.log(res, 'bbbbbbbbbbb')
					let obj = res[0],
						rev = res[1];
					let params = {
						code: rev.code,
						encryptedData: obj.encryptedData,
						iv: obj.iv,
						userInfo: {
							avatarUrl: obj.userInfo.avatarUrl,
							city: obj.userInfo.city,
							country: obj.userInfo.country,
							gender: obj.userInfo.gender,
							language: obj.userInfo.language,
							nickName: obj.userInfo.nickName,
							province: obj.userInfo.province,
						}
					}
					commit('upDateLoginUserMount', obj.userInfo)
					login(params).then(back => {
						const {
							data: dataFrom
						} = back
						// headOrNot 1团长 2消费
						const {
							headOrNot
						} = dataFrom
						let role;
						headOrNot == 1 ? role = 'head' : role = 'consumer'
						let objForm = {
							token: dataFrom.token,
							userInfo: dataFrom,
							role,
						}
						commit("login", objForm);
					})
				})
			}
		}
	}
}